include $(GNUSTEP_MAKEFILES)/common.make

SUBPROJECT_NAME = ObjcUnitClasses

ObjcUnitClasses_HEADER_FILES=\
	AbstractExpectation.h\
	AbstractExpectationCollection.h\
	AssertionFailedException.h\
	ExpectationCounter.h\
	ExpectationGroup.h\
	ExpectationList.h\
	ExpectationSet.h\
	ExpectationValue.h\
	NSObject-ObjcUnitAdditions.h\
	ObjcUnit.h\
	Test.h\
	TestCase.h\
	TestFailure.h\
	TestListener.h\
	TestResult.h\
	TestRunner.h\
	TestSuite.h\
	_WarningTest.h

ObjcUnitClasses_OBJC_FILES=\
	AbstractExpectation.m\
	AbstractExpectationCollection.m\
        AssertionFailedException.m\
        ExpectationCounter.m\
        ExpectationGroup.m\
        ExpectationList.m\
        ExpectationSet.m\
        ExpectationValue.m\
        NSObject-ObjcUnitAdditions.m\
        TestCase.m\
        TestFailure.m\
        TestResult.m\
        TestRunner.m\
        TestSuite.m\
        _WarningTest.m

ADDITIONAL_OBJCFLAGS = -Wno-import -I ./..

-include GNUmakefile.preamble
-include GNUmakefile.local

include $(GNUSTEP_MAKEFILES)/subproject.make

-include GNUmakefile.postamble
